Skip to content

Проверка статуса платежа

Запрос:

curl -X GET https://api.creon.ae/v2/qr/{id} \
     -H "Authorization: Bearer <ACCESS_TOKEN>" \
     -H "Content-Type: application/json" \

access_token: string (required) - Authorization: Bearer
{id}: uuid (required) - _id из ответа на запрос /qr

Разбор ответа:

  • Status 200:
    {
        "_id": "6c57b453-f360-41c3-9a99-be05c0136104",  
        "status": "completed",  
        "amountFrom": 309.31,  
        "amountTo": 98000,  
        "currencyFrom": {
            "_id": "6e65cf3c-c39d-4c5d-9fb0-159a1c054f2d",  
            "type": "FIAT",  
            "code": "RUB",  
            "symbol": "₽",  
            "label": "рубль",  
            "decimal": 2,  
            "countryName": "Russia",  
            "countryCode": "RU"  
        },
        "currencyTo": {
            "_id": "db8ca38b-52f0-4b7b-875f-8149d1616418",  
            "type": "FIAT",  
            "code": "VND",  
            "symbol": "₫",  
            "label": "₫",  
            "decimal": 0,  
            "countryName": "Vietnam",  
            "countryCode": "VN"  
        },
        "rate": 316.8342439623,  
        "reverseRate": 0.0031562244,  
        "isCustomAmount": false,  
        "merchant": {
            "country": "VN",  
            "name": "QR4NQN9GTT McDonalds"  
        },
        "metadata": {},
        "createdAt": "2026-02-27T11:46:06.844Z",  
        "expiredAt": "2026-02-27T11:51:06.844Z",  
        "completedAt": "2026-02-27T11:46:39.539Z"  
    }
    

Описание полей:

completedAt (string): Дата и время выполнения расчета (в формате ISO 8601);

  • Status 400: Invalid request, typically due to a missing or malformed parameter.
    {
    "error": "ERROR_ACCESS_TOKEN_INVALID",  
    "message": "Access token is invalid.",  
    "statusCode": 400  
    }
    

error: string (required)
message: string (required)
statusCode: number

  • Status 401: Authentication failed. This may happen due to the following reasons:

  • Authentication is required but not provided.

  • The access token has expired.
    {
    "error": "ERROR_TOKEN_EXPIRED",  
    "message": "Access token has expired.",  
    "statusCode": 401  
    }
    

error: string (required)
message: string (required)
statusCode: number

  • Status 500: Transaction with specified ID not found.
    {
    "error": "TRANSACTION_NOT_FOUND",  
    "message": "Transaction with specified ID not found.",  
    "statusCode": 500  
    }
    

error: string (required)
message: string (required)
statusCode: number